<?php

/**
 *
 * @author Peter Csubak (chuby)
 * @copyright Peter Csubak (chuby)
 */
class DBLogHandler implements LogHandler{
	 
	
	public function addEntry($loggerName, $time, $type, $text){
		$le = new LogEntity();
		if (!$le->hasTableCreated()){
			$le->createTheTable();
		}
		$le->logName = $loggerName;
		$le->time = $time;
		$le->type = $type;
		$le->text = $text;
		$le->save();
	}

}
?>